commit: 05256085a01c74c23f2169bd7beafc440f7585a6
Author: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Mon May 29 12:10:58 2017 +0000
Commit: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Mon May 29 12:18:43 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05256085
x11-plugins/wmmand: decompress manpage, bug #619982
Also update EAPI
Package-Manager: Portage-2.3.6, Repoman-2.3.2
x11-plugins/wmmand/wmmand-1.3.2-r1.ebuild | 45 +++++++++++++++++++++++++++++++
1 file changed, 45 insertions(+)
diff --git a/x11-plugins/wmmand/wmmand-1.3.2-r1.ebuild
b/x11-plugins/wmmand/wmmand-1.3.2-r1.ebuild
new file mode 100644
index 00000000000..933b07c185b
--- /dev/null
+++ b/x11-plugins/wmmand/wmmand-1.3.2-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils toolchain-funcs
+
+MY_P=wmMand-${PV}
+
+DESCRIPTION="a dockable mandelbrot browser"
+HOMEPAGE="http://ciotog.homelinux.net/software/wmMand/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXpm"
+DEPEND="${RDEPEND}
+ x11-proto/xextproto
+ x11-proto/xproto"
+
+S=${WORKDIR}/${MY_P}/wmMand
+
+DOCS=( ../{BUGS,changelog,TODO} )
+
+src_prepare() {
+ default
+ gunzip wmMand.6.gz || die
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}" \
+ SYSTEM="${LDFLAGS}" \
+ INCDIR="" LIBDIR=""
+}
+
+src_install() {
+ dobin wmMand
+ doman wmMand.6
+ doicon wmMand.png
+ einstalldocs
+}